<!--
db[1] = new dbRecord(false,"Overview","xdslib01.html#0",0,"")
db[2] = new dbRecord(true,"ISO Modula-2 standard libraries","xdslib02.html#1",0,"")
db[3] = new dbRecord(true,"<FONT SIZE=2>Input/output library</FONT>","xdslib02.html#2",1,"")
db[4] = new dbRecord(false,"<FONT SIZE=2>Reading and writing via default channels</FONT>","xdslib02.html#3",2,"")
db[5] = new dbRecord(false,"<FONT SIZE=2>Reading and writing data</FONT>","xdslib02.html#4",2,"")
db[6] = new dbRecord(false,"<FONT SIZE=2>Device modules</FONT>","xdslib02.html#5",2,"")
db[7] = new dbRecord(false,"<FONT SIZE=2>Low-level IO modules</FONT>","xdslib02.html#6",2,"")
db[8] = new dbRecord(false,"<FONT SIZE=2>String conversions</FONT>","xdslib02.html#7",1,"")
db[9] = new dbRecord(false,"<FONT SIZE=2>Mathematical libraries</FONT>","xdslib02.html#8",1,"")
db[10] = new dbRecord(true,"<FONT SIZE=2>Processes and Semaphores</FONT>","xdslib02.html#9",1,"")
db[11] = new dbRecord(false,"<FONT SIZE=2>Example</FONT>","xdslib02.html#10",4,"")
db[12] = new dbRecord(false,"<FONT SIZE=2>Other libraries</FONT>","xdslib02.html#11",1,"")
db[13] = new dbRecord(true,"Utility libraries","xdslib03.html#12",0,"")
db[14] = new dbRecord(true,"<FONT SIZE=2>FileName module</FONT>","xdslib03.html#13",1,"")
db[15] = new dbRecord(false,"<FONT SIZE=2>Format - File name format record</FONT>","xdslib03.html#14",2,"")
db[16] = new dbRecord(false,"<FONT SIZE=2>GetFormat - Get file name format</FONT>","xdslib03.html#15",2,"")
db[17] = new dbRecord(false,"<FONT SIZE=2>Get* - Get file name parts</FONT>","xdslib03.html#16",2,"")
db[18] = new dbRecord(false,"<FONT SIZE=2>Convert - Convert String to File Name</FONT>","xdslib03.html#17",2,"")
db[19] = new dbRecord(false,"<FONT SIZE=2>ConvertExt - Convert File Name Extension</FONT>","xdslib03.html#18",2,"")
db[20] = new dbRecord(false,"<FONT SIZE=2>Length - Calculate File Name Length</FONT>","xdslib03.html#19",2,"")
db[21] = new dbRecord(false,"<FONT SIZE=2>Create - Create File Name</FONT>","xdslib03.html#20",2,"")
db[22] = new dbRecord(false,"<FONT SIZE=2>Example</FONT>","xdslib03.html#21",2,"")
db[23] = new dbRecord(true,"<FONT SIZE=2>FileSys module</FONT>","xdslib03.html#22",1,"")
db[24] = new dbRecord(false,"<FONT SIZE=2>Exists - Is File Exist</FONT>","xdslib03.html#23",2,"")
db[25] = new dbRecord(false,"<FONT SIZE=2>ModifyTime - Return Modify Time</FONT>","xdslib03.html#24",2,"")
db[26] = new dbRecord(false,"<FONT SIZE=2>Rename - Rename File</FONT>","xdslib03.html#25",2,"")
db[27] = new dbRecord(false,"<FONT SIZE=2>Remove - Remove File</FONT>","xdslib03.html#26",2,"")
db[28] = new dbRecord(true,"<FONT SIZE=2>FormOut module</FONT>","xdslib03.html#27",1,"")
db[29] = new dbRecord(false,"<FONT SIZE=2>writeProc - Write Procedure Type</FONT>","xdslib03.html#28",2,"")
db[30] = new dbRecord(false,"<FONT SIZE=2>format - Generic Formatting Procedure</FONT>","xdslib03.html#29",2,"")
db[31] = new dbRecord(false,"<FONT SIZE=2>LineSeparator - Set Line Separator</FONT>","xdslib03.html#30",2,"")
db[32] = new dbRecord(false,"<FONT SIZE=2>TextSeparator - Set Line Separator</FONT>","xdslib03.html#31",2,"")
db[33] = new dbRecord(true,"<FONT SIZE=2>Examples</FONT>","xdslib03.html#32",2,"")
db[34] = new dbRecord(false,"<FONT SIZE=2>Examples:</FONT>","xdslib03.html#33",3,"")
db[35] = new dbRecord(true,"<FONT SIZE=2>FormStr module</FONT>","xdslib03.html#34",1,"")
db[36] = new dbRecord(false,"<FONT SIZE=2>print - Print to string</FONT>","xdslib03.html#35",2,"")
db[37] = new dbRecord(false,"<FONT SIZE=2>append - Append to the end of string</FONT>","xdslib03.html#36",2,"")
db[38] = new dbRecord(false,"<FONT SIZE=2>image - Print from the given position</FONT>","xdslib03.html#37",2,"")
db[39] = new dbRecord(false,"<FONT SIZE=2>iscan - Read integer in Modula-2 format</FONT>","xdslib03.html#38",2,"")
db[40] = new dbRecord(true,"<FONT SIZE=2>Printf module</FONT>","xdslib03.html#39",1,"")
db[41] = new dbRecord(false,"<FONT SIZE=2>ChanId - I/O channel identity</FONT>","xdslib03.html#40",2,"")
db[42] = new dbRecord(false,"<FONT SIZE=2>fprintf - Write formatted data to channel</FONT>","xdslib03.html#41",2,"")
db[43] = new dbRecord(false,"<FONT SIZE=2>printf - Print formatted data</FONT>","xdslib03.html#42",2,"")
db[44] = new dbRecord(false,"<FONT SIZE=2>sprintf - Put formatted data to buffer</FONT>","xdslib03.html#43",2,"")
db[45] = new dbRecord(true,"<FONT SIZE=2>ProgEnv module</FONT>","xdslib03.html#44",1,"")
db[46] = new dbRecord(false,"<FONT SIZE=2>ArgNumber - Return the number of arguments</FONT>","xdslib03.html#45",2,"")
db[47] = new dbRecord(false,"<FONT SIZE=2>GetArg - Get argument</FONT>","xdslib03.html#46",2,"")
db[48] = new dbRecord(false,"<FONT SIZE=2>ArgLength - Return length of argument</FONT>","xdslib03.html#47",2,"")
db[49] = new dbRecord(false,"<FONT SIZE=2>ProgramName - Get program name</FONT>","xdslib03.html#48",2,"")
db[50] = new dbRecord(false,"<FONT SIZE=2>ProgramNameLength - Length of program name</FONT>","xdslib03.html#49",2,"")
db[51] = new dbRecord(false,"<FONT SIZE=2>String - Get environment string</FONT>","xdslib03.html#50",2,"")
db[52] = new dbRecord(false,"<FONT SIZE=2>StringLength - Return environment string length</FONT>","xdslib03.html#51",2,"")
db[53] = new dbRecord(false,"<FONT SIZE=2>Example</FONT>","xdslib03.html#52",2,"")
db[54] = new dbRecord(true,"<FONT SIZE=2>TimeConv module</FONT>","xdslib03.html#53",1,"")
db[55] = new dbRecord(false,"<FONT SIZE=2>DateTime - Date and Time Type</FONT>","xdslib03.html#54",2,"")
db[56] = new dbRecord(false,"<FONT SIZE=2>Compare - Compare two clock values</FONT>","xdslib03.html#55",2,"")
db[57] = new dbRecord(false,"<FONT SIZE=2>SubDateDays - Date difference in days</FONT>","xdslib03.html#56",2,"")
db[58] = new dbRecord(false,"<FONT SIZE=2>SubDateSecs - Time difference in seconds</FONT>","xdslib03.html#57",2,"")
db[59] = new dbRecord(false,"<FONT SIZE=2>AddDateDays - Add whole number of days to date</FONT>","xdslib03.html#58",2,"")
db[60] = new dbRecord(false,"<FONT SIZE=2>AddDateSecs - Add seconds to date</FONT>","xdslib03.html#59",2,"")
db[61] = new dbRecord(false,"<FONT SIZE=2>TheDayNumber - Ordinal day number</FONT>","xdslib03.html#60",2,"")
db[62] = new dbRecord(false,"<FONT SIZE=2>TheFractionNumber - Number of fractions passed from midnight</FONT>","xdslib03.html#61",2,"")
db[63] = new dbRecord(false,"<FONT SIZE=2>WeekDay - Determine day of the week</FONT>","xdslib03.html#62",2,"")
db[64] = new dbRecord(false,"<FONT SIZE=2>millisecs - Milliseconds passed from midnight</FONT>","xdslib03.html#63",2,"")
db[65] = new dbRecord(false,"<FONT SIZE=2>time - System time in seconds</FONT>","xdslib03.html#64",2,"")
db[66] = new dbRecord(false,"<FONT SIZE=2>unpack - Unpack system time</FONT>","xdslib03.html#65",2,"")
db[67] = new dbRecord(false,"<FONT SIZE=2>pack - Pack system time</FONT>","xdslib03.html#66",2,"")
db[68] = new dbRecord(false,"<FONT SIZE=2>weekday - Determine day of the week for system time</FONT>","xdslib03.html#67",2,"")
db[69] = new dbRecord(true,"<FONT SIZE=2>DStrings module</FONT>","xdslib03.html#68",1,"")
db[70] = new dbRecord(false,"<FONT SIZE=2>String - Dynamic String Type</FONT>","xdslib03.html#69",2,"")
db[71] = new dbRecord(false,"<FONT SIZE=2>Assign - Create and Initialize String</FONT>","xdslib03.html#70",2,"")
db[72] = new dbRecord(false,"<FONT SIZE=2>Append - Append to Dynamic String</FONT>","xdslib03.html#71",2,"")
db[73] = new dbRecord(true,"<FONT SIZE=2>FilePath module</FONT>","xdslib03.html#72",1,"")
db[74] = new dbRecord(false,"<FONT SIZE=2>IsSimpleName - Is just a File Name</FONT>","xdslib03.html#73",2,"")
db[75] = new dbRecord(false,"<FONT SIZE=2>Lookup - Look up File</FONT>","xdslib03.html#74",2,"")
db[76] = new dbRecord(false,"<FONT SIZE=2>UseFirst - Use First Directory</FONT>","xdslib03.html#75",2,"")
db[77] = new dbRecord(true,"<FONT SIZE=2>RegComp module</FONT>","xdslib03.html#76",1,"")
db[78] = new dbRecord(false,"<FONT SIZE=2>Regular expressions</FONT>","xdslib03.html#77",2,"")
db[79] = new dbRecord(false,"<FONT SIZE=2>Examples of regular expressions</FONT>","xdslib03.html#78",2,"")
db[80] = new dbRecord(false,"<FONT SIZE=2>Expr - Regular expression</FONT>","xdslib03.html#79",2,"")
db[81] = new dbRecord(false,"<FONT SIZE=2>Compile - Compile regular expression</FONT>","xdslib03.html#80",2,"")
db[82] = new dbRecord(false,"<FONT SIZE=2>Const - Is constant expression</FONT>","xdslib03.html#81",2,"")
db[83] = new dbRecord(false,"<FONT SIZE=2>Match - Compare string with expression</FONT>","xdslib03.html#82",2,"")
db[84] = new dbRecord(false,"<FONT SIZE=2>Len - Length of substring</FONT>","xdslib03.html#83",2,"")
db[85] = new dbRecord(false,"<FONT SIZE=2>Pos - Position of substring</FONT>","xdslib03.html#84",2,"")
db[86] = new dbRecord(true,"<FONT SIZE=2>Substitute - Substitute substrings</FONT>","xdslib03.html#85",2,"")
db[87] = new dbRecord(false,"<FONT SIZE=2>Example</FONT>","xdslib03.html#86",3,"")
db[88] = new dbRecord(false,"PIM standard libraries","xdslib04.html#87",0,"")
db[89] = new dbRecord(false,"Oberon-2 Oakwood libraries","xdslib05.html#88",0,"")
// -->